# $Id: base-qt.pro,v 1.121 2012/09/20 14:07:31 hpereira Exp $

TEMPLATE = lib
CONFIG = staticlib qt
QT += xml

INCLUDEPATH += ../base
DEPENDPATH += . ../base

HEADERS = \
AnimatedLabel.h \
AnimatedLineEditor.h \
AnimatedStackedWidget.h \
AnimatedTabWidget.h \
AnimatedTextEditor.h \
AnimatedTreeView.h \
BaseConfigurationDialog.h \
BaseDialog.h \
BaseFileInfo.h \
BaseFileInfoModel.h \
BaseFileInfoToolTipWidget.h \
BaseFindDialog.h \
BaseIcons.h \
BaseMainWindow.h \
BasePrintHelper.h \
BaseProgressBar.h \
BaseReplaceDialog.h \
BaseStatusBar.h \
BlockHighlight.h \
BoxSelection.h \
BrowsedLineEditor.h \
BrowseIconButton.h \
ClockLabel.h \
Color.h \
ColorDisplay.h \
ColorGrabButton.h \
ColorMenu.h \
ColumnSelectionMenu.h \
ColumnSortingMenu.h \
ContextMenu.h \
CounterDialog.h \
CounterModel.h \
CursorMonitor.h \
CustomComboBox.h \
CustomDialog.h \
CustomPixmap.h \
CustomSlider.h \
CustomTextDocument.h \
CustomToolBar.h \
CustomToolButton.h \
DebugMenu.h \
DetailsDialog.h \
DockPanel.h \
ErrorHandler.h \
ElidedLabel.h \
FileDialog.h \
FileList.h \
FilePermissionsWidget.h \
FileRecordBaseProperties.h \
FileRecordModel.h \
FileSystemWatcher.h \
FontEditor.h \
FontInfo.h \
GridLayout.h \
HtmlDialog.h \
HtmlTextNode.h \
IconEngine.h \
IconSize.h \
IconSizeMenu.h \
IconView.h \
IconViewItem.h \
ImageFileDialog.h \
InformationDialog.h \
ItemModel.h \
KeyModifier.h \
LineEditor.h \
LineNumberDisplay.h \
ListModel.h \
LogWidget.h \
MessageBuffer.h \
MultipleClickCounter.h \
OptionBrowsedLineEditor.h \
OptionCheckBox.h \
OptionColorDisplay.h \
OptionComboBox.h \
OptionDialog.h \
OptionFontEditor.h \
OptionFontInfo.h \
OptionLineEditor.h \
OptionListBox.h \
OptionModel.h \
OptionRadioButton.h \
OptionSlider.h \
OptionSpinBox.h \
OptionWidget.h \
OptionWidgetList.h \
PathEditor.h \
PathEditor_p.h \
PathHistory.h \
PixmapCacheDialog.h \
PixmapCacheModel.h \
PixmapEngine.h \
PrinterOptionWidget.h \
PrintPreviewDialog.h \
PrintPreviewDialog_p.h \
ProgressStatusBar.h \
QuestionDialog.h \
QtUtil.h \
RecentFilesConfiguration.h \
RecentFilesMenu.h \
RemoveLineBuffer.h \
RoundedPath.h \
RoundedRegion.h \
ScratchFileMonitor.h \
ScratchFileRemoveDialog.h \
ScrollObject.h \
SelectLineDialog.h \
SimpleListView.h \
SystemEnvironmentDialog.h \
TabbedDialog.h \
TabWidget.h \
TextEditor.h \
TextEditorMarginWidget.h \
TextEditionDelegate.h \
TextBlockData.h \
TextBlockFlags.h \
TextPosition.h \
TextSelection.h \
TextSeparator.h \
TileSet.h \
ToolBarMenu.h \
ToolButtonStyleMenu.h \
TransitionWidget.h \
TreeItem.h \
TreeItemBase.h \
TreeModel.h \
TreeView.h \
TreeViewConfiguration.h \
UserSelectionFrame.h \
ValidFileThread.h \
WarningDialog.h \
WindowMonitor.h \
WinUtil.h \
X11Util.h \
XmlCommandLineArguments.h \
XmlError.h \
XmlFileList.h \
XmlFileRecord.h \
XmlOption.h \
XmlOptions.h \
XmlTextFormatBlock.h \
XmlTimeStamp.h \
XmlString.h

SOURCES = \
AnimatedLabel.cpp \
AnimatedLineEditor.cpp \
AnimatedStackedWidget.cpp \
AnimatedTabWidget.cpp \
AnimatedTextEditor.cpp \
AnimatedTreeView.cpp \
BaseConfigurationDialog.cpp \
BaseDialog.cpp \
BaseFileInfo.cpp \
BaseFileInfoToolTipWidget.cpp \
BaseFindDialog.cpp \
BaseMainWindow.cpp \
BasePrintHelper.cpp \
BaseProgressBar.cpp \
BaseReplaceDialog.cpp \
BaseStatusBar.cpp \
BlockHighlight.cpp \
BoxSelection.cpp \
BrowsedLineEditor.cpp \
BrowseIconButton.cpp \
ClockLabel.cpp \
Color.cpp \
ColorDisplay.cpp \
ColorGrabButton.cpp \
ColorMenu.cpp \
ColumnSelectionMenu.cpp \
ColumnSortingMenu.cpp \
ContextMenu.cpp \
CounterDialog.cpp \
CounterModel.cpp \
CursorMonitor.cpp \
CustomComboBox.cpp \
CustomDialog.cpp \
CustomPixmap.cpp \
CustomSlider.cpp \
CustomToolBar.cpp \
CustomToolButton.cpp \
DebugMenu.cpp \
DetailsDialog.cpp \
DockPanel.cpp \
ElidedLabel.cpp \
ErrorHandler.cpp \
FileDialog.cpp \
FileList.cpp \
FilePermissionsWidget.cpp \
FileRecordModel.cpp \
FileSystemWatcher.cpp \
FontEditor.cpp \
FontInfo.cpp \
HtmlDialog.cpp \
HtmlTextNode.cpp \
IconEngine.cpp \
IconSize.cpp \
IconSizeMenu.cpp \
IconView.cpp \
IconViewItem.cpp \
ImageFileDialog.cpp \
InformationDialog.cpp \
ItemModel.cpp \
KeyModifier.cpp \
LineEditor.cpp \
LineNumberDisplay.cpp \
LogWidget.cpp \
OptionDialog.cpp \
OptionListBox.cpp \
OptionModel.cpp \
OptionWidgetList.cpp \
PathEditor.cpp \
PathHistory.cpp \
PixmapCacheDialog.cpp \
PixmapCacheModel.cpp \
PixmapEngine.cpp \
PrinterOptionWidget.cpp \
PrintPreviewDialog.cpp \
ProgressStatusBar.cpp \
QuestionDialog.cpp \
QtUtil.cpp \
RecentFilesConfiguration.cpp \
RecentFilesMenu.cpp \
RemoveLineBuffer.cpp \
RoundedPath.cpp \
RoundedRegion.cpp \
ScratchFileMonitor.cpp \
ScratchFileRemoveDialog.cpp \
ScrollObject.cpp \
SelectLineDialog.cpp \
SimpleListView.cpp \
SystemEnvironmentDialog.cpp \
TabbedDialog.cpp \
TabWidget.cpp \
TextEditor.cpp \
TextEditorMarginWidget.cpp \
TextEditionDelegate.cpp \
TextPosition.cpp \
TextSeparator.cpp \
TileSet.cpp \
ToolBarMenu.cpp \
ToolButtonStyleMenu.cpp \
TransitionWidget.cpp \
TreeItemBase.cpp \
TreeView.cpp \
TreeViewConfiguration.cpp \
UserSelectionFrame.cpp \
ValidFileThread.cpp \
WarningDialog.cpp \
WinUtil.cpp \
WindowMonitor.cpp \
X11Util.cpp \
XmlCommandLineArguments.cpp \
XmlFileList.cpp \
XmlFileRecord.cpp \
XmlOption.cpp \
XmlOptions.cpp \
XmlTextFormatBlock.cpp \
XmlTimeStamp.cpp \
XmlString.cpp
