// $Id: SystemOptions.h.cmake,v 1.1 2012/09/26 13:32:23 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <"mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA	02111-1307 USA
*
*
*******************************************************************************/

#include "XmlOptions.h"
#include "Util.h"

//_____________________________________________________
//! default options installer
void installSystemOptions( void )
{

  // set options default values
  XmlOptions::get().setAutoDefault( true );
  XmlOptions::get().set( "CVS", "@CVS@" );
  XmlOptions::get().set( "EDITOR", "@EDITOR@" );
  XmlOptions::get().set( "DIFF_EDITOR", "@EDITOR@ --diff" );
  XmlOptions::get().setAutoDefault( false );

};
